Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039905
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 00. Application dictionaryminorhave not tried2019-01-08 18:572019-01-18 09:16
ReporteregoitzView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR18Q4.2
StatusclosedFix in branchFixed in SCM revision405b572d463c
ProjectionnoneETAnoneTarget Version3.0PR18Q4.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2018-03-01
Regression introduced in release3.0PR18Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/6d6a3a710fd21bbc60de46c5778b212c64ec300c [^]
Triggers an Emergency PackNo
Summary

0039905: The link to a concrete document of Openbravo is not followed if there is not session on the browser

DescriptionWhen using the link to navigate to a concrete document it works properly when you are logged in Openbravo.
If there is not a session you are requested to do the login and after the login
you are not redirected to the document.

It was working in previous releases.
Steps To Reproduce-Access to Openbravo
-go to sales order window
-clear the filter and open order in form view
-click on the toolbar button to get the link
-Copy the link
-Logout
-Use the link on a browser
-The login is required
*then you are not redirected to the document specified on the link.

Example:
https://livebuilds.openbravo.com/erp_pi_pgsql/?tabId=186&recordId=05C426107193402BBD8379EF92A63E96 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039885 closedcaristu The link to a concrete document of Openbravo is not followed if there is not session on the browser 

-  Notes
(0108934)
hgbot (developer)
2019-01-14 10:39

Repository: erp/backports/3.0PR18Q4.2
Changeset: 405b572d463c86f86a9c0a58d65cecded5d250c9
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jan 14 10:37:29 2019 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q4.2/rev/405b572d463c86f86a9c0a58d65cecded5d250c9 [^]

fixes bug 39905: link to a document isn't followed properly after login

  Before[1] the URL query string used to specify the link to a concrete document was being stored in session. After that changeset the code to save that value in session was no longer being executed, so it was not possible to recover the document link information.

  To solve this problem now we keep the query string with the link information in the URL, and we retrieve it from there when needed.


  [1] https://code.openbravo.com/erp/devel/pi/rev/6d6a3a710fd21bbc60de46c5778b212c64ec300c [^]

---
M src/index.jsp
M src/org/openbravo/base/secureApp/LoginHandler.java
M src/org/openbravo/erpCommon/security/Login.html
M web/js/login.js
M web/js/utils.js
---
(0108941)
hgbot (developer)
2019-01-14 13:35

Repository: erp/backports/3.0PR18Q4.2
Changeset: 816923a1be008c8207b9643a5b7dbbf3d65655af
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jan 14 13:35:08 2019 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q4.2/rev/816923a1be008c8207b9643a5b7dbbf3d65655af [^]

related to issue 39905: make it work when redirecting to Menu.html

  This flow happens when some kind of license restriction is detected during the login process

---
M src/org/openbravo/base/secureApp/LoginHandler.java
M src/org/openbravo/erpCommon/security/Menu.java
---
(0109002)
alostale (developer)
2019-01-18 09:16

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-01-09 18:01 caristu Type defect => backport
2019-01-09 18:01 caristu Target Version => 3.0PR18Q4.2
2019-01-14 10:39 hgbot Checkin
2019-01-14 10:39 hgbot Note Added: 0108934
2019-01-14 10:39 hgbot Status scheduled => resolved
2019-01-14 10:39 hgbot Resolution open => fixed
2019-01-14 10:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q4.2/rev/405b572d463c86f86a9c0a58d65cecded5d250c9 [^]
2019-01-14 10:40 caristu Review Assigned To => alostale
2019-01-14 13:35 hgbot Checkin
2019-01-14 13:35 hgbot Note Added: 0108941
2019-01-18 09:16 alostale Note Added: 0109002
2019-01-18 09:16 alostale Status resolved => closed
2019-01-18 09:16 alostale Fixed in Version => 3.0PR18Q4.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker